<div style="margin-top: 20px;">
    <div class="container">
        <p-panel>
            <p-header>Detail</p-header>
            <div class="row" *ngIf="salesUnitRequirement?.requirementNumber">
                <div class="ui-g-6">
                    <div class="ui-g-6" jhiTranslate="mpmApp.shipmentOutgoing.detailPrep.labelNoIvu" *ngIf="salesUnitRequirement.internalId == internal">NO IVU</div>
                    <div class="ui-g-6" *ngIf="salesUnitRequirement.internalId != internal">No Refference</div>
                    <div class="ui-g-6" *ngIf="salesUnitRequirement.internalId == internal">: {{salesUnitRequirement.requirementNumber}} </div>
                    <div class="ui-g-6" *ngIf="salesUnitRequirement.internalId != internal">: {{referenceNumber}} </div>
                    <div class="ui-g-6" jhiTranslate="mpmApp.shipmentOutgoing.detailPrep.labelTanggalPengiriman">Tanggal Pengiriman</div>
                    <div class="ui-g-6">: {{shipmentOutgoing.dateSchedulle | date:'fullDate' }}</div>
                    <div class="ui-g-6" *ngIf="salesUnitRequirement.internalId != internal">Cabang Requester</div>
                    <div class="ui-g-6" *ngIf="salesUnitRequirement.internalId != internal">: {{salesUnitRequirement.internalName}} </div>
                </div>
                <div class="ui-g-6">
                    <div class="ui-g-6" jhiTranslate="mpmApp.shipmentOutgoing.labelSales">Sales</div>
                    <div class="ui-g-6" *ngIf="salesUnitRequirement.internalId == internal">: {{salesUnitRequirement.salesmanName}} </div>
                    <div class="ui-g-6" *ngIf="salesUnitRequirement.internalId != internal">: - </div>
                    <div class="ui-g-6" jhiTranslate="mpmApp.shipmentOutgoing.labelKorsal">Korsal</div>
                    <div class="ui-g-6" *ngIf="salesUnitRequirement.internalId == internal">: xxx</div>
                    <div class="ui-g-6" *ngIf="salesUnitRequirement.internalId != internal">: -</div>
                    <div class="ui-g-6" jhiTranslate="mpmApp.shipmentOutgoing.detailPrep.labelStatus">Status (COD/CBD)</div>
                    <div class="ui-g-6" *ngIf="salesUnitRequirement.internalId == internal">: {{salesUnitRequirement.saleTypeDescription}}</div>
                    <div class="ui-g-6" *ngIf="salesUnitRequirement.internalId != internal">: -</div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12" *ngIf="salesUnitRequirement?.requirementNumber">
                    <!-- <div *ngIf="salesUnitRequirement.customerId"> -->
                    <p-accordion>
                        <p-accordionTab *ngIf="salesUnitRequirement.internalId == internal" header="{{'mpmApp.salesUnitRequirement.dealDetail.dataCustomer' | translate}}">
                            <jhi-sales-unit-requirement-customer-shipment-view [salesUnitRequirement]="salesUnitRequirement"></jhi-sales-unit-requirement-customer-shipment-view>
                        </p-accordionTab>
                        <p-accordionTab *ngIf="salesUnitRequirement.internalId == internal" header="Data STNK">
                            <jhi-sales-unit-requirement-stnk-shipment-view [salesUnitRequirement]="salesUnitRequirement"></jhi-sales-unit-requirement-stnk-shipment-view>
                        </p-accordionTab>
                        <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.detail' | translate}}">
                            <jhi-sales-unit-requirement-deal-detail-shipment-view [salesUnitRequirement]="salesUnitRequirement" [viewDetailShipment]="1"></jhi-sales-unit-requirement-deal-detail-shipment-view>
                        </p-accordionTab>
                        <p-accordionTab *ngIf="salesUnitRequirement.internalId == internal" header="{{'mpmApp.salesUnitRequirement.dealDetail.document' | translate}}">
                            <div *ngIf="checkCustomer() === isPerson">
                                <jhi-party-document-as-list-shipment [idparty]="partyId" [readonly]="isReadOnlyDocument"></jhi-party-document-as-list-shipment>
                            </div>
                            <div *ngIf="checkCustomer() === isOrganization">
                                <jhi-party-document-as-list-shipment [idparty]="partyId" [readonly]="isReadOnlyDocument"></jhi-party-document-as-list-shipment>
                            </div>
                        </p-accordionTab>
                        <p-accordionTab header="Alamat Pengiriman">
                            <div *ngIf="salesUnitRequirement.idReqTyp == 102 ||
                            salesUnitRequirement.idReqTyp == null">
                                <div class="ui-g" *ngIf="personalCustomer?.person">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label class="form-control-label">Jadwal Pengiriman</label>
                                            <div class="input-group input-calendar">
                                                <p-calendar class="size-calendar" showTime="true" hourFormat="24" [showIcon]="true" [(ngModel)]="shipmentOutgoing.dateSchedulle"></p-calendar> <span style="margin-left:35px"></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="ui-g-12">
                                        <div class="ui-g-12" *ngIf="salesUnitRequirement.internalId == internal">
                                            <p-radioButton (click)="checkaddress()" name="deliveryOpt" value="opt1" label="{{'mpmApp.shipmentOutgoing.labelAddressPerson' | translate}}" [(ngModel)]="shipmentOutgoing.deliveryOpt"></p-radioButton>
                                        </div>
                                        <div class="ui-g-12" *ngIf="salesUnitRequirement.internalId == internal">
                                            <p-radioButton (click)="checkaddress()" name="deliveryOpt" value="opt2" label="{{'mpmApp.shipmentOutgoing.labelAddressSTNK' | translate}}" [(ngModel)]="shipmentOutgoing.deliveryOpt"></p-radioButton>
                                        </div>
                                        <div class="ui-g-12">
                                            <p-radioButton (click)="checkaddress()" name="deliveryOpt" value="opt3" label="{{'mpmApp.shipmentOutgoing.labelAddressOther' | translate}}" [(ngModel)]="shipmentOutgoing.deliveryOpt"></p-radioButton>
                                        </div>
                                        <div class="ui-g-12" >
                                            <textarea class="form-control" [(ngModel)]="shipmentOutgoing.deliveryAddress" [disabled]="noeditaddress"></textarea>
                                        </div>
                                    </div>
                                    <div class="ui-g-6">
                                        <button pButton type="button" (click)="save()" label="Update"></button>
                                    </div>
                                </div>
                            </div>
                            <div *ngIf="salesUnitRequirement.idReqTyp == 101 ||
                            salesUnitRequirement.idReqTyp == 103 ||
                            salesUnitRequirement.idReqTyp == 104 ||
                            salesUnitRequirement.idReqTyp == 105">
                                <div class="ui-g">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label class="form-control-label">Jadwal Pengiriman</label>
                                            <div class="input-group input-calendar">
                                                <p-calendar class="size-calendar" showTime="true" hourFormat="24" [showIcon]="true" [(ngModel)]="shipmentOutgoing.dateSchedulle"></p-calendar> <span style="margin-left:35px"></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="ui-g-12">
                                        <div class="ui-g-12" *ngIf="salesUnitRequirement.internalId == internal">
                                            <p-radioButton (click)="checkaddress()" name="deliveryOpt" value="opt1" label="{{'mpmApp.shipmentOutgoing.labelAddressPerson' | translate}}" [(ngModel)]="shipmentOutgoing.deliveryOpt"></p-radioButton>
                                        </div>
                                        <div class="ui-g-12" *ngIf="salesUnitRequirement.internalId == internal">
                                            <p-radioButton (click)="checkaddress()" name="deliveryOpt" value="opt2" label="{{'mpmApp.shipmentOutgoing.labelAddressSTNK' | translate}}" [(ngModel)]="shipmentOutgoing.deliveryOpt"></p-radioButton>
                                        </div>
                                        <div class="ui-g-12">
                                            <p-radioButton (click)="checkaddress()" name="deliveryOpt" value="opt3" label="{{'mpmApp.shipmentOutgoing.labelAddressOther' | translate}}" [(ngModel)]="shipmentOutgoing.deliveryOpt"></p-radioButton>
                                        </div>
                                        <div class="ui-g-12" >
                                            <textarea class="form-control" [(ngModel)]="shipmentOutgoing.deliveryAddress" [disabled]="noeditaddress"></textarea>
                                        </div>
                                    </div>
                                    <div class="ui-g-6">
                                        <button pButton type="button" (click)="save()" label="Update"></button>
                                    </div>
                                </div>
                            </div>
                        </p-accordionTab>
                    </p-accordion>
                    <!-- </div> -->

                </div>
            </div>
            <p-footer>
                <button pButton type="button" (click)="previousState()" label="{{'entity.action.back' | translate}}" class="ui-button-danger flat-label-button">
                </button>
            </p-footer>
        </p-panel>
    </div>
</div>